package com.fufan.mtsaas.modules.sysmgr.tsysparam.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.sysmgr.tsysparam.model.TSysParam;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * Mapper 接口
 *
 * @author Liby
 * @since 2025-03-01
 */
@Repository
public interface TSysParamDao extends BaseMapper<TSysParam> {
    List<TSysParam> selectList(Page page, @Param("params") Map<String, String> params);

    Integer updateByKey(TSysParam entity);

    @Override
    Integer insert(TSysParam entity);

    @Override
    Integer deleteById(Serializable id);

    Integer update(TSysParam entity);

    TSysParam queryById(Serializable id);

    List<TSysParam> queryAllByLimit(TSysParam entity);

    List<TSysParam> queryAll(TSysParam entity);

    Long count(TSysParam entity);
}